GET
  FILE='U:\Eigene Dateien\SPSS\kfar.sav'.

* DEKADE.
RECODE gebj (1960 thru 1969=1) (1970 thru 1979=2) INTO Dekade.
value labels  dekade  1 '60er'  2 '70er'.
EXECUTE.

* LOT-Fragen umkodieren.
RECODE lot3 lot4 lot5 lot12 (5=1) (4=2) (2=4) (1=5).
EXECUTE.

* IDGEW berechnen.
COMPUTE idgew = groesse - 100.
VARIABLE LABELS idgew 'Idealgewicht nach der Formel Gre - 100'.
EXECUTE.

* LOT berechnen.
COMPUTE lot = MEAN.6(lot1,lot3,lot4,lot5,lot8,lot9,lot11,lot12).
VARIABLE LABELS lot 'LOT-Optimismus'.
EXECUTE.

* AERGAM berechnen.
COMPUTE aergam = (aergo + aergm)/2.
VARIABLE LABELS aergam 'Mittel der rgervariablen'.
EXECUTE.

* AERGZ berechnen.
COMPUTE aergz =  aergm - aergo.
VARIABLE LABELS aergz 'rgerzuwachs durch die KFA'.
EXECUTE.

* BMI berechnen.
COMPUTE bmi = gewicht / (groesse/100)**2.
VARIABLE LABELS bmi 'Body Mass Index'.
EXECUTE.

* Alter berechnen.
COMPUTE Alter = 1999 - gebj.
EXECUTE.
* MD-Behandlung fr die Motiv-Variablen.
DO IF (SUM(motiv1 to andere) = 0).
RECODE motiv1 motiv2 motiv3 motiv4 motiv5 andere (0=SYSMIS).
END IF.
EXECUTE.

* MD-Behandlung fr die Methoden-Variablen, Zelle (1,1) der Tabelle.
DO IF (smg=1 and nmiss(meth1 to meth3) < 3).
RECODE meth1 meth2 meth3 (SYSMIS=0).
END IF.
EXECUTE.

* MD-Behandlung fr die Methoden-Variablen, Zelle (1,2) der Tabelle.
DO IF (smg=1 and nmiss(meth1 to meth3) = 3).
RECODE smg  (1=SYSMIS).
END IF.
EXECUTE.

* MD-Behandlung fr die Methoden-Variablen, Zelle (2,1) der Tabelle.
DO IF ((smg = 0)  and  (nmiss(meth1 to meth3) < 3)).
RECODE smg  (0=1).
END IF.
EXECUTE .
DO IF ((smg = 0)  and  (nmiss(meth1 to meth3) < 3)).
RECODE meth1 meth2 meth3 (SYSMIS=0).
END IF.
EXECUTE.

* MD-Behandlung fr die Methoden-Variablen, Zelle (2,2) der Tabelle.
DO IF (smg=0 and nmiss(meth1 to meth3) = 3).
RECODE meth1 meth2 meth3 (SYSMIS=0).
END IF.
EXECUTE.

* MD-Behandlung fr die Methoden-Variablen, Zelle (3,1) der Tabelle.
DO IF ((nmiss(smg) = 1)  and  (nmiss(meth1 to meth3) < 3)).
RECODE smg  (SYSMIS=1).
END IF.
EXECUTE.
DO IF ((nmiss(smg) = 1)  and  (nmiss(meth1 to meth3) < 3)).
RECODE meth1 meth2 meth3 (SYSMIS=0).
END IF.
EXECUTE.

* POLYMOT berechnen.
DO IF (NMISS(motiv1 to andere) = 0).
COUNT polymot=motiv1 motiv2 motiv3 motiv4 motiv5 andere(1).
VARIABLE LABELS polymot 'Anzahl der Motive fr die Kursteilnahme'.
END IF.
EXECUTE.

* Variablenattribute setzen.
formats dekade idgew aergz alter polymot (f8.0) aergam (f8.1) lot bmi (f8.2).
variable width  dekade to polymot (7).
variable level  dekade (ordinal) / idgew to polymot (scale).
variable role
  /input  dekade idgew lot alter
  /target  aergam aergz bmi
  /both  polymot.

SAVE OUTFILE='U:\Eigene Dateien\SPSS\kfa.sav'
   /COMPRESSED.
